plugins {
    alias(libs.plugins.kotlin.jvm)
    alias(libs.plugins.kotlin.compose)
    alias(libs.plugins.compose)
}

kotlin {
    jvmToolchain(11)

    dependencies {
        implementation(compose.components.resources)
        implementation(compose.runtime)
        implementation(compose.foundation)
        implementation(compose.material3)
        implementation(compose.ui)
        implementation(compose.components.resources)
        implementation(compose.components.uiToolingPreview)
//        implementation(libs.compose.ui.text.googlefonts)
        implementation(projects.domain)

        testImplementation(libs.kotlin.test)
        testImplementation(libs.atrium)
    }
}

compose.resources {
    publicResClass = true
}
